Summary: SDL MPEG Library
Name: smpeg
Version: 0.4.4
Release: 9
License: LGPL
Group: System Environment/Libraries
Source: %{name}-%{version}.tar.bz2
Patch: smpeg-0.4.4-gcc31.patch
Patch1: smpeg-0.4.4-automake15.patch
URL: http://www.lokigames.com/development/smpeg.php3
BuildPrereq: SDL-devel >= 1.2.3-5
Requires: SDL >= 1.2.0
BuildRequires: arts-devel >= 7:1.0.0
Requires: arts >= 7:1.0.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

%package devel
Summary: Libraries, includes and more to develop SMPEG applications.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder
and SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to 
create a general purpose MPEG video/audio player for the Linux OS. 

This is the libraries, include files and other resources you can use
to develop SMPEG applications.

%package gtv
Summary: A simple MPEG video and audio player
Group: Applications/Multimedia
Requires: %{name} = %{version}

%description gtv
A simple MPEG video and audio player using smpeg

%prep
%setup -q
#%patch0 -p1 -b .gcc31
#%patch1 -p1 -b .am15

%build
[ -e /usr/share/automake/depcomp ] && cp -f /usr/share/automake/depcomp .
touch INSTALL NEWS AUTHORS ChangeLog
./autogen.sh
autoreconf
%configure --disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p %{buildroot}/etc/X11/applnk/Multimedia
cat > %{buildroot}/etc/X11/applnk/Multimedia/gtv.desktop <<EOF
[Desktop Entry]
Name=GTV MPEG Player
Name[sv]=GTV MPEG-spelare
Type=Application
Comment=Simple player for MPEG Movies
Comment[sv]=Enkel spelare fr MPEG-filmer
Exec=gtv
MimeType=video/mpeg
EOF

mkdir -p $RPM_BUILD_ROOT/usr/share/aclocal
install -m 644 smpeg.m4 $RPM_BUILD_ROOT/usr/share/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_libdir}/lib*.so.*
%{_bindir}/plaympeg
%{_mandir}/man1/plaympeg*

%files devel
%defattr(-, root, root)
%{_bindir}/smpeg-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_datadir}/aclocal/*

%files gtv
%defattr(-,root,root)
%config(missingok) /etc/X11/applnk/Multimedia/gtv.desktop
%{_bindir}/gtv
%{_mandir}/man1/gtv*

%changelog
* Wed Mar 27 2002 Than Ngo <than@redhat.com> 0.4.4-9
- fix bug #62090

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 0.4.4-8
- fix to build in new enviroment

* Thu Jan 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.4.4-7
- Rebuild to get rid of superfluous dependencies
  [dependencies removed in SDL 1.2.3-5]
- Move gtv to a separate package.

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.4.4-4
- Rebuild with new aRts
- Fix build with gcc 3.1 and automake 1.5

* Mon Jul 23 2001 Than Ngo <than@redhat.com>
- fix buildprereq dependency (bug #49701)
- Copyright->License

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com>
- Rebuild to remove libXv/libXxf86dga deps

* Sun Jun 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.4.4-1
- 0.4.4

* Sun Apr 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.4.3, SDL 1.2.0
- Clean up specfile
- Add missing aclocal file, needed for the current SDL_mixer to build

* Tue Feb 27 2001 Preston Brown <pbrown@redhat.com>
- don't own manpage dir

* Mon Jan 22 2001 Than Ngo <than@redhat.com>
- updated to 0.4.2, which fixes many bugs (Bug #21354)

* Tue Oct 2 2000 Than Ngo <than@redhat.com>
- update to 0.4.1
- clean up specfile

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- add swedish translation (Bug #15336)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- better .desktop entry

* Thu Jun 15 2000 Preston Brown <pbrown@redhat.com>
- fix up for Winston, use FHS paths

* Fri Mar  3 2000 Sam Lantinga <hercules@lokigames.com>
- Split package into development and runtime packages
